[Setup]
DefaultDirName={pf}\Sample2
AppVerName=Sample2 1.0.0.0
AppName=Sample2

[Files]
Source: "IMG\Simai.bmp"; DestDir: "{tmp}"; Flags: dontcopy;
Source: "SampleApplication2.exe"; DestDir: "{app}";

[UnInstallDelete]
Type: files; Name: "{app}\SampleApplication2.ini";

[Languages]
Name: "jp"; MessagesFile: "..\..\..\..\..\Program Files\Inno Setup 5\Japanese-4-5.1.0.isl";

[Run]
Filename: "{app}\SampleApplication2.exe"; Description: "AvP[V̎s"; Flags: nowait postinstall;

[Ini]
Filename: "{app}\SampleApplication2.ini"; Section: "BackUp"; Key: "BackUp"; String: "{code:GetBackUpDir}";

[ISSI]
#define ISSI_UseMyInitializeWizard
#define ISSI_WizardBitmapImage_x 164
#define ISSI_WizardBitmapImage "IMG\StartImage.bmp"
#define ISSI_WizardBitmapImage2_x 164
#define ISSI_WizardBitmapImage2 "IMG\EndImage.bmp"
#define ISSI_Splash_Y 200
#define ISSI_Splash_X 300
#define ISSI_Splash_T 1
#define ISSI_Splash "IMG\Image.bmp"

[Code]
var
  DirPage: TInputDirWizardPage;
  SetDefault: Boolean;
  BitmapImage1: TBitmapImage;
  Label1: TLabel;
  Label2: TLabel;

function GetBackUpDir(S: String): String;
begin
	Result := DirPage.Values[0];
end;

procedure PageCreate1;
begin
	//y[WP
		DirPage := CreateInputDirPage(wpSelectDir,'obNAbv','obNAbvf[^ۑfBNgw肵Ă','fBNg̎w',False,'');
		DirPage.Add('');
end;

procedure Label1OnClick(Sender: TObject);
begin
	MsgBox('URLփWvR[hĂƂłˁB', mbInformation, MB_OK);
end;

procedure PageCreate2;
var
  Page: TWizardPage;
begin
  Page := CreateCustomPage(
    wpInstalling,
    '',
    'o\tgEFAɂ'
  );

  { BitmapImage1 }
  ExtractTemporaryFile('Simai.bmp');
  BitmapImage1 := TBitmapImage.Create(Page);
  with BitmapImage1 do
  begin
    Parent := Page.Surface;
    Left := ScaleX(24);
    Top := ScaleY(8);
    Width := ScaleX(370);
    Height := ScaleY(100);
    BitMap.LoadFromFile(ExpandConstant('{tmp}\Simai.bmp'));
  end;

  { Label1 }
  Label1 := TLabel.Create(Page);
  with Label1 do
  begin
    Parent := Page.Surface;
    Left := ScaleX(24);
    Top := ScaleY(128);
    Width := ScaleX(348);
    Height := ScaleY(45);
    AutoSize := False;
    Caption := '̃\tgEFA̐^̗͂oɂ́AoiłSampleApplication3킹Ăp̂xXgłBSampleApplication3͈̏ȉURLւǂI';
    WordWrap := True;
  end;

  { Label2 }
  Label2 := TLabel.Create(Page);
  with Label2 do
  begin
    Parent := Page.Surface;
    Left := ScaleX(24);
    Top := ScaleY(184);
    Width := ScaleX(154);
    Height := ScaleY(13);
    Caption := 'http://www.samplesample.co.jp';
    Font.Color := 16711680;
    Font.Height := ScaleY(-11);
    Font.Name := 'Tahoma';
    Font.Style := [fsUnderline];
    ONCLICK := @Label1OnClick;
  end;
end;

function NextButtonClick(CurPageID: Integer): Boolean;
begin
  if CurPageID = wpSelectDir then
  begin
    if SetDefault = False then
    begin
      if FileExists(ExpandConstant('{app}') + '\SampleApplication2.ini') then
      begin
        DirPage.Values[0] := GetINIString('BackUP','BackUP',
          ExpandConstant('{app}') + '\BackUp',
          ExpandConstant('{app}') + '\SampleApplication2.ini');
      end else
      begin
        DirPage.Values[0] := ExpandConstant('{app}') + '\BackUp';
      end;
      SetDefault := True;
    end;
  end;
  Result := True;
end;

function UpdateReadyMemo(Space, NewLine, MemoUserInfoInfo, MemoDirInfo,
  MemoTypeInfo, MemoComponentsInfo, MemoGroupInfo, MemoTasksInfo: String): String;
var
  S: String;
begin
  S := '';
  S := S + 'obNAbvfBNg:' + NewLine;
  S := S + Space + DirPage.Values[0] + NewLine;
  S := S + NewLine;

  S := S + MemoDirInfo + NewLine;

  Result := S;
end;

procedure ISSI_InitializeWizard();
begin
  SetDefault := False;
  PageCreate1;
  PageCreate2;
end;
[/Code]

;Inno Setup Script Includëʒu"
#define ISSI_IncludePath "C:\Program Files\Inno Setup 5\ISSI"
#include ISSI_IncludePath+"\_issi.isi"
